Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network50.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
50.0.0.0
Broadcast address
50.127.255.255
First usable
50.0.0.1
Last usable
50.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 32000000 · Integer 838860800 to 847249407
Reverse DNS zones
0.50.in-addr.arpa
1.50.in-addr.arpa
2.50.in-addr.arpa
3.50.in-addr.arpa
4.50.in-addr.arpa
5.50.in-addr.arpa
6.50.in-addr.arpa
7.50.in-addr.arpa
8.50.in-addr.arpa
9.50.in-addr.arpa
10.50.in-addr.arpa
11.50.in-addr.arpa
12.50.in-addr.arpa
13.50.in-addr.arpa
14.50.in-addr.arpa
15.50.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00110010.00000000.00000000.0000000050.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network00110010.00000000.00000000.0000000050.0.0.0
Broadcast00110010.01111111.11111111.1111111150.127.255.255
Split into smaller subnets/18

50.0.0.0/9 makes 512 subnets of /18; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
150.0.0.0/1850.0.0.1 to 50.0.63.25450.0.63.25516,382
250.0.64.0/1850.0.64.1 to 50.0.127.25450.0.127.25516,382
350.0.128.0/1850.0.128.1 to 50.0.191.25450.0.191.25516,382
450.0.192.0/1850.0.192.1 to 50.0.255.25450.0.255.25516,382
550.1.0.0/1850.1.0.1 to 50.1.63.25450.1.63.25516,382
650.1.64.0/1850.1.64.1 to 50.1.127.25450.1.127.25516,382
750.1.128.0/1850.1.128.1 to 50.1.191.25450.1.191.25516,382
850.1.192.0/1850.1.192.1 to 50.1.255.25450.1.255.25516,382
950.2.0.0/1850.2.0.1 to 50.2.63.25450.2.63.25516,382
1050.2.64.0/1850.2.64.1 to 50.2.127.25450.2.127.25516,382
1150.2.128.0/1850.2.128.1 to 50.2.191.25450.2.191.25516,382
1250.2.192.0/1850.2.192.1 to 50.2.255.25450.2.255.25516,382
1350.3.0.0/1850.3.0.1 to 50.3.63.25450.3.63.25516,382
1450.3.64.0/1850.3.64.1 to 50.3.127.25450.3.127.25516,382
1550.3.128.0/1850.3.128.1 to 50.3.191.25450.3.191.25516,382
1650.3.192.0/1850.3.192.1 to 50.3.255.25450.3.255.25516,382
1750.4.0.0/1850.4.0.1 to 50.4.63.25450.4.63.25516,382
1850.4.64.0/1850.4.64.1 to 50.4.127.25450.4.127.25516,382
1950.4.128.0/1850.4.128.1 to 50.4.191.25450.4.191.25516,382
2050.4.192.0/1850.4.192.1 to 50.4.255.25450.4.255.25516,382
2150.5.0.0/1850.5.0.1 to 50.5.63.25450.5.63.25516,382
2250.5.64.0/1850.5.64.1 to 50.5.127.25450.5.127.25516,382
2350.5.128.0/1850.5.128.1 to 50.5.191.25450.5.191.25516,382
2450.5.192.0/1850.5.192.1 to 50.5.255.25450.5.255.25516,382
2550.6.0.0/1850.6.0.1 to 50.6.63.25450.6.63.25516,382
2650.6.64.0/1850.6.64.1 to 50.6.127.25450.6.127.25516,382
2750.6.128.0/1850.6.128.1 to 50.6.191.25450.6.191.25516,382
2850.6.192.0/1850.6.192.1 to 50.6.255.25450.6.255.25516,382
2950.7.0.0/1850.7.0.1 to 50.7.63.25450.7.63.25516,382
3050.7.64.0/1850.7.64.1 to 50.7.127.25450.7.127.25516,382
3150.7.128.0/1850.7.128.1 to 50.7.191.25450.7.191.25516,382
3250.7.192.0/1850.7.192.1 to 50.7.255.25450.7.255.25516,382
3350.8.0.0/1850.8.0.1 to 50.8.63.25450.8.63.25516,382
3450.8.64.0/1850.8.64.1 to 50.8.127.25450.8.127.25516,382
3550.8.128.0/1850.8.128.1 to 50.8.191.25450.8.191.25516,382
3650.8.192.0/1850.8.192.1 to 50.8.255.25450.8.255.25516,382
3750.9.0.0/1850.9.0.1 to 50.9.63.25450.9.63.25516,382
3850.9.64.0/1850.9.64.1 to 50.9.127.25450.9.127.25516,382
3950.9.128.0/1850.9.128.1 to 50.9.191.25450.9.191.25516,382
4050.9.192.0/1850.9.192.1 to 50.9.255.25450.9.255.25516,382
4150.10.0.0/1850.10.0.1 to 50.10.63.25450.10.63.25516,382
4250.10.64.0/1850.10.64.1 to 50.10.127.25450.10.127.25516,382
4350.10.128.0/1850.10.128.1 to 50.10.191.25450.10.191.25516,382
4450.10.192.0/1850.10.192.1 to 50.10.255.25450.10.255.25516,382
4550.11.0.0/1850.11.0.1 to 50.11.63.25450.11.63.25516,382
4650.11.64.0/1850.11.64.1 to 50.11.127.25450.11.127.25516,382
4750.11.128.0/1850.11.128.1 to 50.11.191.25450.11.191.25516,382
4850.11.192.0/1850.11.192.1 to 50.11.255.25450.11.255.25516,382
4950.12.0.0/1850.12.0.1 to 50.12.63.25450.12.63.25516,382
5050.12.64.0/1850.12.64.1 to 50.12.127.25450.12.127.25516,382
5150.12.128.0/1850.12.128.1 to 50.12.191.25450.12.191.25516,382
5250.12.192.0/1850.12.192.1 to 50.12.255.25450.12.255.25516,382
5350.13.0.0/1850.13.0.1 to 50.13.63.25450.13.63.25516,382
5450.13.64.0/1850.13.64.1 to 50.13.127.25450.13.127.25516,382
5550.13.128.0/1850.13.128.1 to 50.13.191.25450.13.191.25516,382
5650.13.192.0/1850.13.192.1 to 50.13.255.25450.13.255.25516,382
5750.14.0.0/1850.14.0.1 to 50.14.63.25450.14.63.25516,382
5850.14.64.0/1850.14.64.1 to 50.14.127.25450.14.127.25516,382
5950.14.128.0/1850.14.128.1 to 50.14.191.25450.14.191.25516,382
6050.14.192.0/1850.14.192.1 to 50.14.255.25450.14.255.25516,382
6150.15.0.0/1850.15.0.1 to 50.15.63.25450.15.63.25516,382
6250.15.64.0/1850.15.64.1 to 50.15.127.25450.15.127.25516,382
6350.15.128.0/1850.15.128.1 to 50.15.191.25450.15.191.25516,382
6450.15.192.0/1850.15.192.1 to 50.15.255.25450.15.255.25516,382
6550.16.0.0/1850.16.0.1 to 50.16.63.25450.16.63.25516,382
6650.16.64.0/1850.16.64.1 to 50.16.127.25450.16.127.25516,382
6750.16.128.0/1850.16.128.1 to 50.16.191.25450.16.191.25516,382
6850.16.192.0/1850.16.192.1 to 50.16.255.25450.16.255.25516,382
6950.17.0.0/1850.17.0.1 to 50.17.63.25450.17.63.25516,382
7050.17.64.0/1850.17.64.1 to 50.17.127.25450.17.127.25516,382
7150.17.128.0/1850.17.128.1 to 50.17.191.25450.17.191.25516,382
7250.17.192.0/1850.17.192.1 to 50.17.255.25450.17.255.25516,382
7350.18.0.0/1850.18.0.1 to 50.18.63.25450.18.63.25516,382
7450.18.64.0/1850.18.64.1 to 50.18.127.25450.18.127.25516,382
7550.18.128.0/1850.18.128.1 to 50.18.191.25450.18.191.25516,382
7650.18.192.0/1850.18.192.1 to 50.18.255.25450.18.255.25516,382
7750.19.0.0/1850.19.0.1 to 50.19.63.25450.19.63.25516,382
7850.19.64.0/1850.19.64.1 to 50.19.127.25450.19.127.25516,382
7950.19.128.0/1850.19.128.1 to 50.19.191.25450.19.191.25516,382
8050.19.192.0/1850.19.192.1 to 50.19.255.25450.19.255.25516,382
8150.20.0.0/1850.20.0.1 to 50.20.63.25450.20.63.25516,382
8250.20.64.0/1850.20.64.1 to 50.20.127.25450.20.127.25516,382
8350.20.128.0/1850.20.128.1 to 50.20.191.25450.20.191.25516,382
8450.20.192.0/1850.20.192.1 to 50.20.255.25450.20.255.25516,382
8550.21.0.0/1850.21.0.1 to 50.21.63.25450.21.63.25516,382
8650.21.64.0/1850.21.64.1 to 50.21.127.25450.21.127.25516,382
8750.21.128.0/1850.21.128.1 to 50.21.191.25450.21.191.25516,382
8850.21.192.0/1850.21.192.1 to 50.21.255.25450.21.255.25516,382
8950.22.0.0/1850.22.0.1 to 50.22.63.25450.22.63.25516,382
9050.22.64.0/1850.22.64.1 to 50.22.127.25450.22.127.25516,382
9150.22.128.0/1850.22.128.1 to 50.22.191.25450.22.191.25516,382
9250.22.192.0/1850.22.192.1 to 50.22.255.25450.22.255.25516,382
9350.23.0.0/1850.23.0.1 to 50.23.63.25450.23.63.25516,382
9450.23.64.0/1850.23.64.1 to 50.23.127.25450.23.127.25516,382
9550.23.128.0/1850.23.128.1 to 50.23.191.25450.23.191.25516,382
9650.23.192.0/1850.23.192.1 to 50.23.255.25450.23.255.25516,382
9750.24.0.0/1850.24.0.1 to 50.24.63.25450.24.63.25516,382
9850.24.64.0/1850.24.64.1 to 50.24.127.25450.24.127.25516,382
9950.24.128.0/1850.24.128.1 to 50.24.191.25450.24.191.25516,382
10050.24.192.0/1850.24.192.1 to 50.24.255.25450.24.255.25516,382
10150.25.0.0/1850.25.0.1 to 50.25.63.25450.25.63.25516,382
10250.25.64.0/1850.25.64.1 to 50.25.127.25450.25.127.25516,382
10350.25.128.0/1850.25.128.1 to 50.25.191.25450.25.191.25516,382
10450.25.192.0/1850.25.192.1 to 50.25.255.25450.25.255.25516,382
10550.26.0.0/1850.26.0.1 to 50.26.63.25450.26.63.25516,382
10650.26.64.0/1850.26.64.1 to 50.26.127.25450.26.127.25516,382
10750.26.128.0/1850.26.128.1 to 50.26.191.25450.26.191.25516,382
10850.26.192.0/1850.26.192.1 to 50.26.255.25450.26.255.25516,382
10950.27.0.0/1850.27.0.1 to 50.27.63.25450.27.63.25516,382
11050.27.64.0/1850.27.64.1 to 50.27.127.25450.27.127.25516,382
11150.27.128.0/1850.27.128.1 to 50.27.191.25450.27.191.25516,382
11250.27.192.0/1850.27.192.1 to 50.27.255.25450.27.255.25516,382
11350.28.0.0/1850.28.0.1 to 50.28.63.25450.28.63.25516,382
11450.28.64.0/1850.28.64.1 to 50.28.127.25450.28.127.25516,382
11550.28.128.0/1850.28.128.1 to 50.28.191.25450.28.191.25516,382
11650.28.192.0/1850.28.192.1 to 50.28.255.25450.28.255.25516,382
11750.29.0.0/1850.29.0.1 to 50.29.63.25450.29.63.25516,382
11850.29.64.0/1850.29.64.1 to 50.29.127.25450.29.127.25516,382
11950.29.128.0/1850.29.128.1 to 50.29.191.25450.29.191.25516,382
12050.29.192.0/1850.29.192.1 to 50.29.255.25450.29.255.25516,382
12150.30.0.0/1850.30.0.1 to 50.30.63.25450.30.63.25516,382
12250.30.64.0/1850.30.64.1 to 50.30.127.25450.30.127.25516,382
12350.30.128.0/1850.30.128.1 to 50.30.191.25450.30.191.25516,382
12450.30.192.0/1850.30.192.1 to 50.30.255.25450.30.255.25516,382
12550.31.0.0/1850.31.0.1 to 50.31.63.25450.31.63.25516,382
12650.31.64.0/1850.31.64.1 to 50.31.127.25450.31.127.25516,382
12750.31.128.0/1850.31.128.1 to 50.31.191.25450.31.191.25516,382
12850.31.192.0/1850.31.192.1 to 50.31.255.25450.31.255.25516,382
12950.32.0.0/1850.32.0.1 to 50.32.63.25450.32.63.25516,382
13050.32.64.0/1850.32.64.1 to 50.32.127.25450.32.127.25516,382
13150.32.128.0/1850.32.128.1 to 50.32.191.25450.32.191.25516,382
13250.32.192.0/1850.32.192.1 to 50.32.255.25450.32.255.25516,382
13350.33.0.0/1850.33.0.1 to 50.33.63.25450.33.63.25516,382
13450.33.64.0/1850.33.64.1 to 50.33.127.25450.33.127.25516,382
13550.33.128.0/1850.33.128.1 to 50.33.191.25450.33.191.25516,382
13650.33.192.0/1850.33.192.1 to 50.33.255.25450.33.255.25516,382
13750.34.0.0/1850.34.0.1 to 50.34.63.25450.34.63.25516,382
13850.34.64.0/1850.34.64.1 to 50.34.127.25450.34.127.25516,382
13950.34.128.0/1850.34.128.1 to 50.34.191.25450.34.191.25516,382
14050.34.192.0/1850.34.192.1 to 50.34.255.25450.34.255.25516,382
14150.35.0.0/1850.35.0.1 to 50.35.63.25450.35.63.25516,382
14250.35.64.0/1850.35.64.1 to 50.35.127.25450.35.127.25516,382
14350.35.128.0/1850.35.128.1 to 50.35.191.25450.35.191.25516,382
14450.35.192.0/1850.35.192.1 to 50.35.255.25450.35.255.25516,382
14550.36.0.0/1850.36.0.1 to 50.36.63.25450.36.63.25516,382
14650.36.64.0/1850.36.64.1 to 50.36.127.25450.36.127.25516,382
14750.36.128.0/1850.36.128.1 to 50.36.191.25450.36.191.25516,382
14850.36.192.0/1850.36.192.1 to 50.36.255.25450.36.255.25516,382
14950.37.0.0/1850.37.0.1 to 50.37.63.25450.37.63.25516,382
15050.37.64.0/1850.37.64.1 to 50.37.127.25450.37.127.25516,382
15150.37.128.0/1850.37.128.1 to 50.37.191.25450.37.191.25516,382
15250.37.192.0/1850.37.192.1 to 50.37.255.25450.37.255.25516,382
15350.38.0.0/1850.38.0.1 to 50.38.63.25450.38.63.25516,382
15450.38.64.0/1850.38.64.1 to 50.38.127.25450.38.127.25516,382
15550.38.128.0/1850.38.128.1 to 50.38.191.25450.38.191.25516,382
15650.38.192.0/1850.38.192.1 to 50.38.255.25450.38.255.25516,382
15750.39.0.0/1850.39.0.1 to 50.39.63.25450.39.63.25516,382
15850.39.64.0/1850.39.64.1 to 50.39.127.25450.39.127.25516,382
15950.39.128.0/1850.39.128.1 to 50.39.191.25450.39.191.25516,382
16050.39.192.0/1850.39.192.1 to 50.39.255.25450.39.255.25516,382
16150.40.0.0/1850.40.0.1 to 50.40.63.25450.40.63.25516,382
16250.40.64.0/1850.40.64.1 to 50.40.127.25450.40.127.25516,382
16350.40.128.0/1850.40.128.1 to 50.40.191.25450.40.191.25516,382
16450.40.192.0/1850.40.192.1 to 50.40.255.25450.40.255.25516,382
16550.41.0.0/1850.41.0.1 to 50.41.63.25450.41.63.25516,382
16650.41.64.0/1850.41.64.1 to 50.41.127.25450.41.127.25516,382
16750.41.128.0/1850.41.128.1 to 50.41.191.25450.41.191.25516,382
16850.41.192.0/1850.41.192.1 to 50.41.255.25450.41.255.25516,382
16950.42.0.0/1850.42.0.1 to 50.42.63.25450.42.63.25516,382
17050.42.64.0/1850.42.64.1 to 50.42.127.25450.42.127.25516,382
17150.42.128.0/1850.42.128.1 to 50.42.191.25450.42.191.25516,382
17250.42.192.0/1850.42.192.1 to 50.42.255.25450.42.255.25516,382
17350.43.0.0/1850.43.0.1 to 50.43.63.25450.43.63.25516,382
17450.43.64.0/1850.43.64.1 to 50.43.127.25450.43.127.25516,382
17550.43.128.0/1850.43.128.1 to 50.43.191.25450.43.191.25516,382
17650.43.192.0/1850.43.192.1 to 50.43.255.25450.43.255.25516,382
17750.44.0.0/1850.44.0.1 to 50.44.63.25450.44.63.25516,382
17850.44.64.0/1850.44.64.1 to 50.44.127.25450.44.127.25516,382
17950.44.128.0/1850.44.128.1 to 50.44.191.25450.44.191.25516,382
18050.44.192.0/1850.44.192.1 to 50.44.255.25450.44.255.25516,382
18150.45.0.0/1850.45.0.1 to 50.45.63.25450.45.63.25516,382
18250.45.64.0/1850.45.64.1 to 50.45.127.25450.45.127.25516,382
18350.45.128.0/1850.45.128.1 to 50.45.191.25450.45.191.25516,382
18450.45.192.0/1850.45.192.1 to 50.45.255.25450.45.255.25516,382
18550.46.0.0/1850.46.0.1 to 50.46.63.25450.46.63.25516,382
18650.46.64.0/1850.46.64.1 to 50.46.127.25450.46.127.25516,382
18750.46.128.0/1850.46.128.1 to 50.46.191.25450.46.191.25516,382
18850.46.192.0/1850.46.192.1 to 50.46.255.25450.46.255.25516,382
18950.47.0.0/1850.47.0.1 to 50.47.63.25450.47.63.25516,382
19050.47.64.0/1850.47.64.1 to 50.47.127.25450.47.127.25516,382
19150.47.128.0/1850.47.128.1 to 50.47.191.25450.47.191.25516,382
19250.47.192.0/1850.47.192.1 to 50.47.255.25450.47.255.25516,382
19350.48.0.0/1850.48.0.1 to 50.48.63.25450.48.63.25516,382
19450.48.64.0/1850.48.64.1 to 50.48.127.25450.48.127.25516,382
19550.48.128.0/1850.48.128.1 to 50.48.191.25450.48.191.25516,382
19650.48.192.0/1850.48.192.1 to 50.48.255.25450.48.255.25516,382
19750.49.0.0/1850.49.0.1 to 50.49.63.25450.49.63.25516,382
19850.49.64.0/1850.49.64.1 to 50.49.127.25450.49.127.25516,382
19950.49.128.0/1850.49.128.1 to 50.49.191.25450.49.191.25516,382
20050.49.192.0/1850.49.192.1 to 50.49.255.25450.49.255.25516,382
20150.50.0.0/1850.50.0.1 to 50.50.63.25450.50.63.25516,382
20250.50.64.0/1850.50.64.1 to 50.50.127.25450.50.127.25516,382
20350.50.128.0/1850.50.128.1 to 50.50.191.25450.50.191.25516,382
20450.50.192.0/1850.50.192.1 to 50.50.255.25450.50.255.25516,382
20550.51.0.0/1850.51.0.1 to 50.51.63.25450.51.63.25516,382
20650.51.64.0/1850.51.64.1 to 50.51.127.25450.51.127.25516,382
20750.51.128.0/1850.51.128.1 to 50.51.191.25450.51.191.25516,382
20850.51.192.0/1850.51.192.1 to 50.51.255.25450.51.255.25516,382
20950.52.0.0/1850.52.0.1 to 50.52.63.25450.52.63.25516,382
21050.52.64.0/1850.52.64.1 to 50.52.127.25450.52.127.25516,382
21150.52.128.0/1850.52.128.1 to 50.52.191.25450.52.191.25516,382
21250.52.192.0/1850.52.192.1 to 50.52.255.25450.52.255.25516,382
21350.53.0.0/1850.53.0.1 to 50.53.63.25450.53.63.25516,382
21450.53.64.0/1850.53.64.1 to 50.53.127.25450.53.127.25516,382
21550.53.128.0/1850.53.128.1 to 50.53.191.25450.53.191.25516,382
21650.53.192.0/1850.53.192.1 to 50.53.255.25450.53.255.25516,382
21750.54.0.0/1850.54.0.1 to 50.54.63.25450.54.63.25516,382
21850.54.64.0/1850.54.64.1 to 50.54.127.25450.54.127.25516,382
21950.54.128.0/1850.54.128.1 to 50.54.191.25450.54.191.25516,382
22050.54.192.0/1850.54.192.1 to 50.54.255.25450.54.255.25516,382
22150.55.0.0/1850.55.0.1 to 50.55.63.25450.55.63.25516,382
22250.55.64.0/1850.55.64.1 to 50.55.127.25450.55.127.25516,382
22350.55.128.0/1850.55.128.1 to 50.55.191.25450.55.191.25516,382
22450.55.192.0/1850.55.192.1 to 50.55.255.25450.55.255.25516,382
22550.56.0.0/1850.56.0.1 to 50.56.63.25450.56.63.25516,382
22650.56.64.0/1850.56.64.1 to 50.56.127.25450.56.127.25516,382
22750.56.128.0/1850.56.128.1 to 50.56.191.25450.56.191.25516,382
22850.56.192.0/1850.56.192.1 to 50.56.255.25450.56.255.25516,382
22950.57.0.0/1850.57.0.1 to 50.57.63.25450.57.63.25516,382
23050.57.64.0/1850.57.64.1 to 50.57.127.25450.57.127.25516,382
23150.57.128.0/1850.57.128.1 to 50.57.191.25450.57.191.25516,382
23250.57.192.0/1850.57.192.1 to 50.57.255.25450.57.255.25516,382
23350.58.0.0/1850.58.0.1 to 50.58.63.25450.58.63.25516,382
23450.58.64.0/1850.58.64.1 to 50.58.127.25450.58.127.25516,382
23550.58.128.0/1850.58.128.1 to 50.58.191.25450.58.191.25516,382
23650.58.192.0/1850.58.192.1 to 50.58.255.25450.58.255.25516,382
23750.59.0.0/1850.59.0.1 to 50.59.63.25450.59.63.25516,382
23850.59.64.0/1850.59.64.1 to 50.59.127.25450.59.127.25516,382
23950.59.128.0/1850.59.128.1 to 50.59.191.25450.59.191.25516,382
24050.59.192.0/1850.59.192.1 to 50.59.255.25450.59.255.25516,382
24150.60.0.0/1850.60.0.1 to 50.60.63.25450.60.63.25516,382
24250.60.64.0/1850.60.64.1 to 50.60.127.25450.60.127.25516,382
24350.60.128.0/1850.60.128.1 to 50.60.191.25450.60.191.25516,382
24450.60.192.0/1850.60.192.1 to 50.60.255.25450.60.255.25516,382
24550.61.0.0/1850.61.0.1 to 50.61.63.25450.61.63.25516,382
24650.61.64.0/1850.61.64.1 to 50.61.127.25450.61.127.25516,382
24750.61.128.0/1850.61.128.1 to 50.61.191.25450.61.191.25516,382
24850.61.192.0/1850.61.192.1 to 50.61.255.25450.61.255.25516,382
24950.62.0.0/1850.62.0.1 to 50.62.63.25450.62.63.25516,382
25050.62.64.0/1850.62.64.1 to 50.62.127.25450.62.127.25516,382
25150.62.128.0/1850.62.128.1 to 50.62.191.25450.62.191.25516,382
25250.62.192.0/1850.62.192.1 to 50.62.255.25450.62.255.25516,382
25350.63.0.0/1850.63.0.1 to 50.63.63.25450.63.63.25516,382
25450.63.64.0/1850.63.64.1 to 50.63.127.25450.63.127.25516,382
25550.63.128.0/1850.63.128.1 to 50.63.191.25450.63.191.25516,382
25650.63.192.0/1850.63.192.1 to 50.63.255.25450.63.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses